Subject: bug#17059: 24.3; cannot view extracted text for a pdf

From: [email-masked]
Date: Sat, 31 May 2014 03:17:41 -0400

I am not in an X terminal when I do this, I am in an actual virtual
console.  I also tried this under Ubuntu 14.04 and got the same results.

Stefan Monnier <[email-masked]> wrote:

> > go into emacs.  I will enclose my .emacs or attach.
> [...]
> > Then find a pdf with text.
> 
> What does "with text" mean, here?
> 
> > In emacs23 you immediately get the unable to render file prompt.
> 
> Hmm... no I get to see the PDF rendered by ghostscript.
> 
> > In 24, you get the pdf raw.
> 
> Hmm... no I get to see the PDF rendered by ghostscript.
> 
> > By the way, this is done from a text console.
> 
> Ah, now you tell us.  OK, starting over:
> 
> > In emacs23 you immediately get the unable to render file prompt.
> 
> Indeed, and it prompts me if I want to see the extracted text (I said
> yes, and it did show me the text).
> 
> > In 24, you get the pdf raw.
> 
> Indeed.  I can't remember this being a conscious change, so it looks
> like a bug.
> 
> > Now do escape-x and type docview-mode.
> > Now you get the unable to render file prompt.
> 
> Yup, I get that too.
> 
> > When you hit y to the view extracted text instead, you get the
> > following: DocView: process pdf->txt changed status to killed.
> 
> Hmmm... I don't see that here (with Debian's "emacs24 -nw -Q foo.pdf"),
> it shows me the extracted text just fine.
> 
> 
>         Stefan

-- 
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [email-masked]